#include "MenuTextSk5_Player2Keyboard.h"

InputSetting_Keyboard* MenuTextSk5_Player2Keyboard::GetInputSetting()
{
	return gameFunc->GetInputSetting_Player2Keyboard ? gameFunc->GetInputSetting_Player2Keyboard() : nullptr;
}

SDL_Scancode* MenuTextSk5_Player2Keyboard::GetBind(InputSetting_Keyboard* setting)
{
	return &setting->op_skill_5;
}


std::shared_ptr<Entity> CreateMenuTextSk5_Player2Keyboard()
{
	return std::make_shared<MenuTextSk5_Player2Keyboard>();
}

